:root {
  --background-primary: #adc178;
  --background-secondary: #f0ead2;
  --background-tertiary: #dde5b6;
  --background-quaternary: #a98467;
  --color-primary: #6c584c;
}

* {
  box-sizing: border-box;
}

html {
  height: 100vh;
  overflow-x: hidden;
}

body {
  font-family: "quicksand", sans-serif;
  margin: 0;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.header,
.footer {
  background-color: var(--background-primary);
}

.header {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  height: 10vh;
  padding-right: 3%;
  z-index: 30;
}

.header_logo {
  display: flex;
  padding: 0 0 0 30px;
  height: 100%;
  aspect-ratio: 5/2;
}

.header_image {
  height: auto;
  width: 100%;
  background-color: var(--background-tertiary);
}

.navigation {
  display: flex;
  flex-direction: row;
}

.nav_move {
  animation: moveOver forwards;
}

.nav_move_back {
  animation: moveBack forwards;
}

.nav_button {
  background-color: var(--background-primary);
  color: var(--color-primary);
  padding: 16px;
  text-decoration: none;
  font-size: 1.2rem;
}

.active_nav {
  font-weight: 600;
}

.hamburger_menu {
  display: none;
  fill: var(--background-secondary);
  position: fixed;
  right: 30px;
  padding: 6px;
  cursor: pointer;
  transition: all 0.25s;
  border-radius: 40px;
}

.hamburger_menu:hover {
  background-color: var(--background-tertiary);
  fill: var(--color-primary);
}

.hamburger_menu:active {
  transform: scale(0.9);
}

.search_container {
  height: fit-content;
  width: fit-content;
  margin: 18px 3%;
  padding: 0 10px;
  background-color: var(--background-secondary);
  opacity: 0.7;
  border-radius: 18px;
  display: flex;
  align-items: center;
  transition: all 0.4s;
  z-index: 10;
}

.search_container:focus-within,
.search_container:hover {
  opacity: 0.9;
  transform: scale(1.08);
}

.search {
  width: 28px;
  height: 28px;
  stroke: var(--color-primary);
  padding: 4px;
  cursor: pointer;
  transition: inherit;
}

.search:hover {
  transform: scale(1.1);
}

.search:active {
  transform: scale(0.85);
}

.search_box {
  width: 165px;
  margin: 4px;
  padding: 0;
  border: none;
  background: transparent;
  font-size: 1.2rem;
  font-family: "quicksand", sans-serif;
  outline: none;
}

.background_image {
  background-color: var(--background-secondary);
  background-size: cover;
  height: 40vh;
  background-position: 50% 25%;
  display: flex;
  flex-direction: row-reverse;
}

main {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
}

.main_content {
  background-color: white;
  color: var(--color-primary);
  display: flex;
  padding: 2rem;
  gap: 2rem;
}

.sidebar {
  display: flex;
  flex-direction: column;
  height: fit-content;
  padding: 16px;
  color: var(--color-primary);
  text-align: center;
  background-color: white;
  border: var(--background-tertiary);
  border-style: solid;
  border-radius: 20px;
  width: 300px;
}

.animal_group,
.sidebar_item {
  margin: 0;
  padding: 9px 5px;
  font-weight: 500;
  font-size: 1.5rem;
  text-align: left;
  cursor: pointer;
  transition: all 0.4s;
}

.sidebar_item:hover,
.animal_item:hover {
  transform: scale(1.06);
}

.welcome_container {
  display: flex;
  flex-direction: column;
  height: fit-content;
  justify-content: center;
  background-color: var(--background-secondary);
  align-items: center;
  text-align: center;
  padding: 20px;
  width: 80%;
  border-radius: 16px;
}

h1 {
  font-size: 2rem;
}

.intro_text {
  text-align: center;
  font-size: 1.5rem;
  width: 90%;
  margin: 0 auto;
  font-size: inherit;
}

.highlight {
  display: inline;
  width: min-content;
  background-color: yellow;
}

.animal_item {
  font-size: 1.2rem;
  text-align: left;
  cursor: pointer;
  transition: all 0.4s;
  padding: 5px 3px;
}

.animal_img {
  object-position: center;
  max-width: 300px;
  height: 300px;
  width:100%;
  border-radius: 8px;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.page_link {
  text-decoration: none;
  text-decoration: underline;
  color: var(--color-primary);
  display: block;
}

.active_item {
  text-decoration: none;

  color:var(--background-secondary);
  background-color: var(--background-primary);
  border-radius: 12px;
  padding:8px 8px;
  text-decoration: none;
}

.container_text {
  font-size: 1.5rem;
  padding: 8px;
  margin: 0;
}

.highlight {
  background-color: yellow;
}

.Btn {
  background-color: var(--background-tertiary);
  color: var(--color-primary);
  display: block;
  margin-top: 3%;
  margin-right: auto;
  margin-left: auto;
  padding: 15px 42px;
  border-radius: 12px;
  border: none;
  text-decoration: none;
  text-align: center;
  cursor: pointer;
  transition: all .4s;
  font-family: "quicksand", sans-serif;
}

.Btn:hover {
  transform: scale(1.1);
}

.footer {
  color: var(--background-secondary);
  text-align: center;
  padding: 16px;
}

@keyframes moveOver {
  from {
    transform: translateX(46vw);
  }
  to {
    transform: translateX(0);
  }
}

@keyframes moveBack {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(46vw);
  }
}

@media (width < 900px) {
  .header {
    height: 10vh;
    padding: 0;
    position: fixed;
    top: 0;
  }

  .navigation {
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 10vh;
    right: 0;
    background: linear-gradient(
      to bottom,
      var(--background-primary),
      var(--background-tertiary)
    );
    height: 90vh;
    width: 28vw;
  }

  .nav_move {
    animation: moveOver 0.4s forwards cubic-bezier(0.5, 1, 0.4, 1.2);
  }

  .nav_hide {
    animation: moveBack 0.3s forwards;
  }

  .nav_button {
    background-color: transparent;
    text-align: left;
    font-size: 1.4rem;
    width: 100%;
    transition: all 0.4s;
  }

  .nav_button:hover {
    background-color: var(--background-tertiary);
  }

  .hamburger_menu {
    display: block;
  }

  .search {
    stroke: var(--background-secondary);
    width: 34px;
    height: 34px;
  }

  .search_container {
    position: absolute;
    width: fit-content;
    background: transparent;
  }

  .search_container:hover {
    background-color: #f0ead2bd;
  }

  .search_container:hover .search {
    stroke: var(--color-primary);
  }

  .search_box {
    width: 0;
    color: var(--color-primary);
    transition: all 0.4s ease-in-out;
  }

  .search_container:hover .search_box {
    width: clamp(120px, 30vw, 200px);
    border-bottom: 1px solid var(--color-primary);
  }

  main {
    margin-top: 10vh;
    background-color: var(--background-secondary);
  }

  .main_content {
    display: block;
    padding: 0;
    min-height: 0;
  }

  .sidebar {
    flex-direction: row;
    justify-content: center;
    width: 100%;
    flex: 0 0 auto;
    padding: 0.5rem;
    margin: 0;
    border: none;
    background: linear-gradient(
      172deg,
      var(--color-primary) 15%,
      var(--background-quaternary)
    );
    border-radius: 0;
    color: var(--background-secondary);
  }

  .sidebar_item,
  .animal_group {
    font-size: clamp(1.1rem, 4vw, 1.4rem);
    width: clamp(9rem, 12vw, 20rem);
    height: fit-content;
    border-radius: 8px;
    text-align: center;
    margin: 0 2px;
  }

  .sidebar_item:hover {
    background-color: var(--background-secondary);
    color: var(--color-primary);
    transform: none;
  }

  .animal_item {
    font-size: 0;
    padding: 0;
  }

  .animal_group:hover .animal_item {
    display: block;
    font-size: clamp(0.9rem, 3.4vw, 1.3rem);
    padding: 5px 3px;
  }

  .welcome_container {
    padding: 0.5 2rem;
    padding-bottom: 2rem;
    border-radius: 0;
    width: 100%;
    flex: 1 1 auto;
  }
}

@media (width < 600px) {
  .navigation {
    width: 42vw;
  }
}
